aboutsummaryrefslogtreecommitdiff
path: root/aux/workflow/dist.sh
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xaux/workflow/dist.sh17
1 files changed, 17 insertions, 0 deletions
diff --git a/aux/workflow/dist.sh b/aux/workflow/dist.sh
new file mode 100755
index 0000000..45fc30a
--- /dev/null
+++ b/aux/workflow/dist.sh
@@ -0,0 +1,17 @@
+#!/bin/sh
+set -eu
+
+DATE="$1"
+VERSION="v$2"
+
+if git show "$VERSION" 1>/dev/null 2>/dev/null; then
+ echo "Version '$VERSION' already exists."
+ exit 1
+fi
+
+if [ "$DATE" != "$(git log -1 --format=%cd --date=short HEAD)" ]; then
+ echo "Date '$DATE' is not up-to-date."
+ exit 1
+fi
+
+git tag "$VERSION"